import 'dart:async';
import 'dart:developer' as developer;
import 'dart:io';

import 'package:techbusiness/models/admission_data_sheet_model.dart';
import 'package:techbusiness/models/api_response_model.dart';
import 'package:techbusiness/models/error_api_response_model.dart';
import 'package:techbusiness/repository/general_repository.dart';



class AdmissionDataSheetBloc {
  final _repository = GeneralRepository();
  var _admission = AdmissionDataSheet();
  final _admissionController = StreamController<AdmissionDataSheet>.broadcast();

  ApiResponse _apiResponse = ApiResponse();

  ApiResponse get apiResponse => _apiResponse;

  Stream<AdmissionDataSheet> get admission => _admissionController.stream.asBroadcastStream();

  AdmissionDataSheetBloc();

  Future loadDataAdmission(int id) async {
    _apiResponse = await _repository.getAdmissionById(id);
    if (_apiResponse.statusResponse == HttpStatus.ok) {
      _admission = _apiResponse.payload;
      _admissionController.add(_admission);
    } else {
      ErrorApiResponse error = _apiResponse.payload;
      developer.log(error.message);
    }
  }

  void dispose() {
    _admissionController.close();
  }
}
