import 'package:easy_dynamic_theme/easy_dynamic_theme.dart';
import 'package:flutter/material.dart';
import 'package:techbusiness/ui/screen/home/home.dart';
import 'package:techbusiness/utils/generate_route.dart';
import 'package:techbusiness/utils/theme_data.dart';

void main() {
  runApp(EasyDynamicThemeWidget(
    child: const MyApp(),
  ));
}

class MyApp extends StatelessWidget {
  const MyApp({Key key}) : super(key: key);

  // This ui.widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
        title: 'Web Tech Business',
        theme: lightThemeData,
        darkTheme: darkThemeData,
        debugShowCheckedModeBanner: false,
        themeMode: EasyDynamicTheme
            .of(context)
            .themeMode,
        home: Home(),
        onGenerateRoute: RouterCustom.onGenerateRoute);
  }
}
