import 'package:flutter/cupertino.dart';
import 'package:techbusiness/utils/constants.dart';

import 'models/admission_data_sheet_model.dart';
import 'models/customer_model.dart';
import 'models/equiment_model.dart';

class TechBusinessNavigator {

  static void goToEquipmentDetail(BuildContext context, Equipment equipment) {
    Navigator.pushNamed(context, Constants.equipmentDetailUiRoute,
        arguments: {Constants.labelEquipment: equipment});
  }

  static void goToCustomerDetail(BuildContext context, Customer customer) {
    Navigator.pushNamed(context, Constants.customerDetailUiRoute,
        arguments: {Constants.labelCustomer: customer});
  }
  static void goToAdmissionsDetail(BuildContext context, AdmissionDataSheet admissionDataSheet) {
    Navigator.pushNamed(context, Constants.admissionDetailUiRoute,
        arguments: {Constants.labelAdmission: admissionDataSheet});
  }

  static void goToAdmissionDetail(BuildContext context, int id) {
    Navigator.pushNamed(context, Constants.admissionUiRoute,
        arguments: {Constants.labelId: id});
  }
  static void goBack(BuildContext context) {
    Navigator.pop(context);
  }

  static void goBacks(BuildContext context) {
    Navigator.of(context).pop();
  }
}
