import 'dart:convert';
import 'dart:io';

import 'package:http/http.dart' as http;
import 'package:techbusiness/models/admission_data_sheet_model.dart';
import 'package:techbusiness/models/api_response_model.dart';
import 'package:techbusiness/models/error_api_response_model.dart';
import 'package:techbusiness/utils/constants.dart';


class AdmissionDataSheetApiService {
  ApiResponse _apiResponse;
  AdmissionDataSheet _admissionDataSheet;
  ErrorApiResponse _error;

  AdmissionDataSheetApiService();

  Future<ApiResponse> getById(int id) async {
    _apiResponse = ApiResponse(statusResponse: 0);
    var uri = Uri.http(Constants.urlAuthority,
        Constants.urlAdmission + '/public/' + id.toString());
    var res = await http.get(uri, headers: {
      HttpHeaders.contentTypeHeader: Constants.contentTypeHeader,
    });
    var resBody = json.decode(utf8.decode(res.bodyBytes));
    _apiResponse.statusResponse = res.statusCode;
    if (_apiResponse.statusResponse == HttpStatus.ok) {
      _admissionDataSheet = AdmissionDataSheet.fromJson(resBody);
      _apiResponse.payload = _admissionDataSheet;
    } else {
      _error = ErrorApiResponse.fromJson(resBody);
      _apiResponse.payload = _error;
    }
    return _apiResponse;
  }

}
