import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:techbusiness/models/customer_model.dart';

class DetailCustomerUI extends StatefulWidget {
  final Customer customer;

  const DetailCustomerUI({Key key, this.customer}) : super(key: key);

  @override
  DetailCustomerUIUiState createState() => DetailCustomerUIUiState();
}

class DetailCustomerUIUiState extends State<DetailCustomerUI> with SingleTickerProviderStateMixin {
  final GlobalKey<ScaffoldState> _scaffoldKey = GlobalKey<ScaffoldState>();

  Customer customer;

  @override
  void dispose() {
    super.dispose();
  }

  @override
  void initState() {
    super.initState();
    customer = widget.customer;
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        key: _scaffoldKey,
        backgroundColor: Theme.of(context).colorScheme.background,
        body: Stack(
          children: [_buildContainer(), builderInfo(), _appBar()],
        ));
  }

  Widget _appBar() {
    return Positioned(
      top: 0.0,
      left: 0.0,
      right: 0.0,
      child: AppBar(
        backgroundColor: Colors.transparent,
        elevation: 0,
        title: Text('Datos Cliente'),
        centerTitle: true,
      ),
    );
  }

  Widget _buildContainer() {
    return Container(
        decoration: BoxDecoration(
          gradient: LinearGradient(colors: <Color>[
            Theme.of(context).colorScheme.primaryVariant,
            Theme.of(context).colorScheme.primary,
          ]),
          boxShadow: [
            BoxShadow(
              color: Colors.grey.withOpacity(0.5),
              spreadRadius: 5,
              blurRadius: 7,
              offset: Offset(0, 3), // changes position of shadow
            ),
          ],
        ),
        height: MediaQuery.of(context).size.height * 0.3);
  }

  Widget builderInfo() {
    return Container(
      height: MediaQuery.of(context).size.height * 0.80,
      margin: EdgeInsets.only(left: 15.0, right: 15.0, top: 125.0),
      child: Card(
        elevation: 4,
        color: Theme.of(context).colorScheme.onError,
        child: Padding(
          padding: const EdgeInsets.symmetric(vertical: 5, horizontal: 8),
          child: SingleChildScrollView(
            child: Column(children: [
              itemInfo('Nombre: ', customer.name + ' ' + customer.lastName),
              itemInfo('Identificación:', customer.typeDocument + ' ' + customer.document),
              itemInfo('Dirección: ', customer.address),
              itemInfo('Email: ', customer.email),
              itemInfo('Celular: ', customer.phone),
            ]),
          ),
        ),
      ),
    );
  }

  Widget itemInfo(String label, String value) {
    return ListTile(
      title: Text(label),
      subtitle: Text(value),
    );
  }
}
