import 'package:flutter/material.dart';
import 'package:techbusiness/ui/widget/input_field.dart';

import '../../../navegator_techbusiness.dart';

class Home extends StatefulWidget {
  @override
  HomeUiState createState() => HomeUiState();
}

class HomeUiState extends State<Home> with SingleTickerProviderStateMixin {
  TextEditingController _idController = TextEditingController();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: const Color(0xff344955),
      body: Padding(
        padding: const EdgeInsets.only(top: 60.0, bottom: 60.0, left: 120.0, right: 120.0),
        child: Card(
          shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(50.0)),
          elevation: 5.0,
          child: Row(
            children: <Widget>[leftContainer(context), rightContainer(context)],
          ),
        ),
      ),
    );
  }

  Widget leftContainer(BuildContext context) {
    return Container(
      width: MediaQuery.of(context).size.width / 3.3,
      height: MediaQuery.of(context).size.height,
      color: const Color(0xffFF9800),
      child: Padding(
        padding: const EdgeInsets.only(top: 85.0, right: 50.0, left: 50.0),
        child: Align(
          alignment: Alignment.centerRight,
          child: Column(
            children: <Widget>[
              const SizedBox(
                height: 60.0,
              ),
              Container(
                padding: const EdgeInsets.only(top: 5.0, bottom: 5.0),
                child: const Text(
                  "Tech Business ",
                  style: TextStyle(
                    color: Colors.white,
                    fontSize: 30.0,
                    fontWeight: FontWeight.w900,
                  ),
                ),
              ),
              const SizedBox(
                height: 5.0,
              ),
              Container(
                padding: const EdgeInsets.only(top: 5.0, bottom: 5.0),
                child: const Text(
                  "Ingrese el numero de recepción que se encuentra en la ficha tecnica de su equipo, para poder consultar el estado actual.",
                  style: TextStyle(
                    color: Colors.white,
                    fontSize: 18.0,
                  ),
                  textAlign: TextAlign.center,
                ),
              ),
              const SizedBox(
                height: 50.0,
              ),
            ],
          ),
        ),
      ),
    );
  }

  Widget rightContainer(BuildContext context) {
    return Container(
      padding: const EdgeInsets.only(top: 140.0, right: 70.0, left: 70.0, bottom: 5.0),
      child: Column(
        children: <Widget>[
          const Text(
            'Busqueda Equipo',
            style: TextStyle(
                color: Color(0xff344955), fontWeight: FontWeight.w600, fontSize: 35.0, fontFamily: 'Merriweather'),
          ),
          const SizedBox(height: 21.0),

          //InputField Widget from the widgets folder
          InputField(label: 'Remision ID', content: 'Número recepción', controller: _idController),

          const SizedBox(height: 20.0),

          Row(
            children: <Widget>[
              const SizedBox(
                width: 20.0,
              ),
              ElevatedButton(
                onPressed: () {
                  TechBusinessNavigator.goToAdmissionDetail(context, int.parse(_idController.text));
                },
                child: const Text(
                  'Buscar',
                  style: TextStyle(color: Colors.white),
                ),
              ),
            ],
          ),
        ],
      ),
    );
  }
}
