import 'package:flutter/material.dart';

class CustomItemMenu extends StatelessWidget {
  final VoidCallback actionPress;
  final IconData icon;
  final String label;

  const CustomItemMenu({Key key, this.actionPress, this.icon, this.label})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ListTile(
      trailing: Icon(Icons.arrow_forward_ios_outlined),
      title: Text(label),
      onTap: actionPress,
      leading: Icon(
        icon,
        size: 32,
        color: Theme.of(context).colorScheme.secondary,
      ),
    );
  }
}
