import 'package:flutter/material.dart';
import 'package:techbusiness/ui/screen/admision/admission_detail_ui.dart';
import 'package:techbusiness/ui/screen/admision/admission_menu_ui.dart';
import 'package:techbusiness/ui/screen/admision/customer_detail_ui.dart';
import 'package:techbusiness/ui/screen/admision/equipment_detail_ui.dart';

import 'constants.dart';

class RouterCustom {
  static Route<dynamic> onGenerateRoute(settings) {
    switch (settings.name) {

      case Constants.equipmentDetailUiRoute:
        var args = settings.arguments;
        return MaterialPageRoute(
            fullscreenDialog: true,
            builder: (_) =>
                DetailEquipmentUI(equipment: args[Constants.labelEquipment]));
        break;

      case Constants.customerDetailUiRoute:
        var args = settings.arguments;
        return MaterialPageRoute(
            fullscreenDialog: true,
            builder: (_) =>
                DetailCustomerUI(customer: args[Constants.labelCustomer]));
        break;

      case Constants.admissionDetailUiRoute:
        var args = settings.arguments;
        return MaterialPageRoute(
            fullscreenDialog: true,
            builder: (_) =>
                DetailAdmissionsUI(admissionDataSheet: args[Constants.labelAdmission]));
        break;

      case Constants.admissionUiRoute:
        var args = settings.arguments;
        return MaterialPageRoute(
            builder: (_) => DetailAdmissionUI(id: args[Constants.labelId]));
        break;
    }
  }
}
